QGIS Application - Feature request #5887
qgis on a GetFeaturelnfo use always text/plain
2012-06-27 01:06 PM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution: invalid
Easy fix?: No Copied to github as #: 15340
Description

Hi,

qgis when ask to a WMS server for a GetFeaturelnfo, always ask using
INFO_FORMAT=text/plain.

This is a bug. It should request using one of the availables format from GetCapabilities.
If the getcapabilities say that is allowed only text/xml.
Qgis should use

INFO_FORMAT=text/xml.

And , if possbile , to parse it using an eventually available XSL transform (linked on the xml).

Related issues:

Related to QGIS Application - Feature request # 6575: Print the contents of i... Closed 2012-10-26
Duplicated by QGIS Application - Feature request # 5892: Enhance the identify... Closed 2012-06-28
History

#1 - 2012-06-28 03:14 AM - aperi2007 -

| check better ths is ot a bug.

A server wms always add the text/plain as available format type .

So is impossible to have a server wms with only the text/xml.

And also asking for a text/plain always is not formally an error.

Perhaps is not the better choice, but surely is not a bug.

Also | guess should be better if qgis ask to the user what kind of format is better for that request.
| guess this should be a property of the layer.

Open a specific ticket.

#2 - 2012-06-28 03:31 AM - Giovanni Manghi
- Status changed from Open to Feedback

aperi2007 - wrote:

| check better ths is ot a bug.

A server wms always add the text/plain as available format type .

So is impossible to have a server wms with only the text/xml.

And also asking for a text/plain always is not formally an error.

Perhaps is not the better choice, but surely is not a bug.

Also | guess should be better if qgis ask to the user what kind of format is better for that request.
I guess this should be a property of the layer.
Open a specific ticket.

so this ticket should be closed?

#3 - 2012-06-28 03:34 AM - Jiirgen Fischer

Giovanni Manghi wrote:

so this ticket should be closed?

This could still be a feature request.

We could offer a combobox in the WMS dialog and let the user select which format to use on GetFeaturelnfo later (FEATURE_COUNT is already an option

that modifies the GetFeatureCount request).

#4 - 2012-06-28 04:12 AM - aperi2007 -

We could offer a combobox in the WMS dialog and let the user select which format to use >on GetFeaturelnfo later (FEATURE_COUNT is already

an option that modifies the >GetFeatureCount request).

+1

#5 - 2012-06-28 04:14 AM - Jiirgen Fischer

- Tracker changed from Bug report to Feature request

#6 - 2012-06-28 04:24 AM - Jiirgen Fischer

aperi2007 - wrote:

A server wms always add the text/plain as available format type .

So is impossible to have a server wms with only the text/xml.

Currently we have two methods identifyAsText and identifyAsHtml. The former uses text/plain and the latter used text/html, text/plain or text/xml -
whatever the server supports first. The identify tool used identifyAsHtml and renders the result in a webkit widget (HTML as such and other formats as
HTML with pre tags around the content).

#7 - 2012-06-28 05:41 AM - aperi2007 -

OGC in their doc best practice will suggest to prefer to the text/html a text/xml that will send an XML linked to an XSL transform to allow the client to
produce the html page.

In case of an XML actually qgis will use identifyAsHtml and resolve the XSL transform (i guess no :) ) or use identifyAsText and will report the XML as plain

text ?
http://www.opengeospatial.org/standards/bp/

#8 - 2012-06-28 05:51 AM - Jiirgen Fischer

aperi2007 - wrote:

OGC in their doc "best practice" will suggest to prefer to the text/html a text/xml that will send an XML linked to an XSL transform to allow the client

to produce the html page.

In case of an XML actually qgis will use identifyAsHtml and resolve the XSL transform (i guess no :) ) or use identifyAsText and will report the XML

as plain text ?

Right, currently it just outputs the XML in "pre" text.

But QXmlQuery looks promising. | think that might actually not be that hard.

#9 - 2012-08-21 03:15 AM - aperi2007 -
| guess is useful also the GML.
| have added to the ticket

#5892
a sample of GetFeaturelnfo call that return a GML (multipart with 2 files).

#10 - 2012-09-04 12:06 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#11 - 2012-10-06 02:20 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#12 - 2012-10-30 06:03 AM - aperi2007 -

- Status changed from Feedback to Closed

- Resolution set to invalid

| close this ticket to open a new ticket with better description of what need.

#13 - 2016-12-01 06:41 AM - Fabian Thalemann

Hello all,
although this ticket is quite old and closed | need to make a comment and | would like to make a related feature request to the community.

I'm facing the same problem as the original poster after all that years: QGIS still does not support GetFeaturelnfo requests in any other format than
text/plain. This is known and even highlighted in the most recent QGIS documentation (see
http://docs.qgis.org/testing/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wms): "Identity Formats — The list of MIME-types the

server can respond with when you use the Identify tool. Currently, QGIS supports the text-plain type."

This situation is very unfortunate: | would like to make use of several WMS right now which have text/xml as the only allowed request format. What
aperi2007 wrote in the first reply above ("A server wms always add the text/plain as available format type. So is impossible to have a server wms with only
the text/xml.") is apparently wrong.

| have contacted the persons who run the WMS of interest to ask them if they could be so kind to change their server configuration, but they are rather

2025-05-17 3/4


http://doc.qt.nokia.com/4.7-snapshot/qxmlquery.html
http://docs.qgis.org/testing/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wms

pointing back at the software I'm using. So if anyone is able to add a wider range of GetFeaturelnfo request formats to the QGIS desktop software | would

be very thankful!

Best regards

Fabian
